#!/bin/csh
# A script to backup an existing file.

# Set a variable with the name of the script.
set FUNC = $0

# Make sure that a file name was passed, and that the
# file exists. If not, exit with error status one.
if ( $#argv == 1 ) then
   if ( -f $argv[1] ) then
     set OLDFILE = $argv[1]
     # Use :r to strip the extension, and add the '.bak'
     # extension.
     set NEWFILE = "${OLDFILE:r}.bak"
   else
     goto failed
   endif
else
   goto failed
endif

# Backup the specified file.
cp $OLDFILE $NEWFILE

# Test the error status of the cp command, and exit if
# the error status is not zero.
if ( $status != 0 ) then
   goto failed
endif

cat $NEWFILE

exit 0

failed:
echo "${FUNC}: This script encountered an error."
echo "Usage: $FUNC <FILENAME>"
exit 1

