#!/bin/csh

# This script will run for a long time!
# It will output every combination of
# letters and numbers on a page of 40
# lines, with 80 characters per line.
# Ben (9/13/04)

set FUNC = `basename $0`
set START_TIME = `date`

# Define three argument lists.
# While we only need one, it's easier to read
# with three. The first character is a space.
# There are 42 characters total.
set LTTR_ARY = ( a b c d e f g h i j k l m n o p q r s t u v w x y z )
set CHAR_ARY = ( \  $LTTR_ARY[*] \, \. )

@ COMPLETE = 1

# Creates the first book with all characters
# set as spaces. 'seq' is used to give the
# foreach loops a sequence of numbers.
foreach LINE_CNT (`seq 1 40`)
  foreach CHAR_CNT (`seq 1 80`)
    # Here we're using a variable name that changes
    # based on other variables.
    @ X${LINE_CNT}${CHAR_CNT} = 1
  end
end

# Now to display the pages, and increment through
# the character argument list systematically.
while ( $COMPLETE != 0 )

  # These two loops will print the contents of the
  # current page.
  foreach LINE_CNT (`seq 1 40`)
    foreach CHAR_CNT (`seq 1 80`)

      # First find the value of the current character,
      # and then echo it to the screen. Because we use
      # a none constant variable name, we need to use
      # 'eval' to calculate the variable name.
      set VAL = `eval echo \$X${LINE_CNT}${CHAR_CNT}`
      echo -n "$CHAR_ARY[$VAL]"
    end

    # Echo a new line.
    echo
  end

  # We'll use two counters, and one variable
  # to increment the character for the next
  # page.
  @ LINE_CNT = 1
  @ CHAR_CNT = 1
  @ NEXT_RDY = 1

  while ( $NEXT_RDY != 0 )
    @ X${LINE_CNT}${CHAR_CNT}++

    # Check the value of the current char. If
    # it's out of range, switch it to 1, and
    # increment the next char.
    set VAL = `eval echo \$X${LINE_CNT}${CHAR_CNT}`

    if ( $VAL >= 43 ) then
      @ X${LINE_CNT}${CHAR_CNT} = 1
      @ CHAR_CNT++

      if ( $CHAR_CNT >= 81 ) then
        @ CHAR_CNT = 1
        @ LINE_CNT++

        if ( $LINE_CNT >= 41 ) then
          # The script has done it's job. The
          # goto statement will break from the
          # loop and exit.
          echo "$FUNC COMPLETE!"
          goto complete
        endif
      endif
    else
      # Break out of the while loop.
      @ NEXT_RDY = 0
    endif
  end
end

complete:

echo "$FUNC Started at : $START_TIME"
echo "$FUNC Finished at: `date`"

exit 0

