#!/bin/csh -f
#
# Function:  avhrr_ndvi
# Section Three NDVI script
# Input filename given on command line

# Check command line arguments

if ($#argv != 1) then
  echo Usage: avhrr_ndvi input-file
  exit 1
endif

# Derive output file name from input file name

set INPFILE = $1
set OUTFILE = ${INPFILE:r}.ndvi

# Run emath using input file from command line

emathp                                       \
  expr_vars="avhrr_ch1 avhrr_ch2"            \
  num_exprs=1                                \
  y1_expr='land ? (x2-x1)/(x2+x1) : badval'  \
  use_degrees=                               \
  poly_size=                                 \
  var_names=ndvi                             \
  var_units=ndvi                             \
  var_types=short                            \
  scale_offsets=0                            \
  scale_factors=100                          \
$INPFILE $OUTFILE

exit $status

